=== tools/acpibin/Makefile ===
 
PROG=	acpibin
SRCS=	abcompare.c abmain.c \
	../../utilities/utalloc.c \
	../../utilities/utcache.c \
	../../utilities/utdebug.c \
	../../utilities/utglobal.c \
	../../utilities/utmath.c \
	../../utilities/utmisc.c \
	../../utilities/utmutex.c \
	../../utilities/utstate.c \
	../../osunixxf.c \
    ../../common/getopt.c

CFLAGS+= -Wall -O2 -D_LINUX -DACPI_APPLICATION -Wstrict-prototypes -I../../include 


acpibin : $(patsubst %.c,%.o, $(SRCS))
	$(CC) $(LDFLAGS) $(patsubst %.c,%.o, $(SRCS)) -o $(PROG)

CLEANFILES= $(PROG)

clean : 
	rm -f $(CLEANFILES) $(patsubst %.c,%.o, $(SRCS))
