## acpica-unix 20060608

=== compiler/Makefile ===
--- 
+++ 
@@ -65,7 +65,13 @@
 	../interpreter/executer/exstorob.c \
 	../interpreter/executer/exsystem.c \
 	../interpreter/executer/exutils.c \
+	../common/adfile.c \
 	../common/adisasm.c \
+	../common/adwalk.c \
+	../common/dmrestag.c \
+	../common/dmtable.c \
+	../common/dmtbinfo.c \
+	../common/dmtbdump.c \
 	../debugger/dbfileio.c \
 	../disassembler/dmbuffer.c \
 	../disassembler/dmnames.c \
