=== tools/acpiexec/Makefile ===
--- 
+++ 
@@ -126,6 +126,7 @@
 	../../utilities/utobject.c \
 	../../utilities/utresrc.c \
 	../../utilities/utstate.c \
+	../../utilities/uttrack.c \
 	../../utilities/utxface.c \
 	../../osunixxf.c
