## acpica-unix 20061109

=== compiler/Makefile ===
--- 
+++ 
@@ -82,8 +82,10 @@
 	../disassembler/dmresrcs.c \
 	../disassembler/dmutils.c \
 	../disassembler/dmwalk.c \
+	../tables/tbfadt.c \
 	../tables/tbinstal.c \
 	../tables/tbutils.c \
+	../tables/tbxface.c \
 	../osunixxf.c
 
 NOMAN=	YES
