=== tools/acpiexec/Makefile ===
--- 
+++ 
@@ -104,11 +104,9 @@
 	../../resources/rsmisc.c \
 	../../resources/rsutils.c \
 	../../resources/rsxface.c \
-	../../tables/tbconvrt.c \
-	../../tables/tbgetall.c \
-	../../tables/tbget.c \
+	../../tables/tbfadt.c \
+	../../tables/tbfind.c \
 	../../tables/tbinstal.c \
-	../../tables/tbrsdt.c \
 	../../tables/tbutils.c \
 	../../tables/tbxface.c \
 	../../tables/tbxfroot.c \
