=== tools/acpisrc/Makefile ===
--- 
+++ 
@@ -1,8 +1,8 @@
  
 
 PROG=	acpisrc
-SRCS=	ascase.c asconvrt.c asfile.c asmain.c asremove.c asutils.c osunixdir.c \
-        ../../common/getopt.c
+SRCS=	ascase.c asconvrt.c asfile.c asmain.c asremove.c astable.c \
+        asutils.c osunixdir.c ../../common/getopt.c
 
 CFLAGS+= -Wall -O2 -D_LINUX -DACPI_APPLICATION -Wstrict-prototypes -I../../include
