=== tools/acpiexec/Makefile ===
--- 
+++ 
@@ -33,49 +33,50 @@
 	../../hardware/hwgpe.c \
 	../../hardware/hwregs.c \
 	../../hardware/hwsleep.c \
-	../../interpreter/dispatcher/dsfield.c \
-	../../interpreter/dispatcher/dsinit.c \
-	../../interpreter/dispatcher/dsmethod.c \
-	../../interpreter/dispatcher/dsmthdat.c \
-	../../interpreter/dispatcher/dsobject.c \
-	../../interpreter/dispatcher/dsopcode.c \
-	../../interpreter/dispatcher/dsutils.c \
-	../../interpreter/dispatcher/dswexec.c \
-	../../interpreter/dispatcher/dswload.c \
-	../../interpreter/dispatcher/dswscope.c \
-	../../interpreter/dispatcher/dswstate.c \
-	../../interpreter/executer/exconfig.c \
-	../../interpreter/executer/exconvrt.c \
-	../../interpreter/executer/excreate.c \
-	../../interpreter/executer/exdump.c \
-	../../interpreter/executer/exfield.c \
-	../../interpreter/executer/exfldio.c \
-	../../interpreter/executer/exmisc.c \
-	../../interpreter/executer/exmutex.c \
-	../../interpreter/executer/exnames.c \
-	../../interpreter/executer/exoparg1.c \
-	../../interpreter/executer/exoparg2.c \
-	../../interpreter/executer/exoparg3.c \
-	../../interpreter/executer/exoparg6.c \
-	../../interpreter/executer/exprep.c \
-	../../interpreter/executer/exregion.c \
-	../../interpreter/executer/exresnte.c \
-	../../interpreter/executer/exresolv.c \
-	../../interpreter/executer/exresop.c \
-	../../interpreter/executer/exstore.c \
-	../../interpreter/executer/exstoren.c \
-	../../interpreter/executer/exstorob.c \
-	../../interpreter/executer/exsystem.c \
-	../../interpreter/executer/exutils.c \
-	../../interpreter/parser/psargs.c \
-	../../interpreter/parser/psloop.c \
-	../../interpreter/parser/psopcode.c \
-	../../interpreter/parser/psparse.c \
-	../../interpreter/parser/psscope.c \
-	../../interpreter/parser/pstree.c \
-	../../interpreter/parser/psutils.c \
-	../../interpreter/parser/pswalk.c \
-	../../interpreter/parser/psxface.c \
+	../../hardware/hwxface.c \
+	../../dispatcher/dsfield.c \
+	../../dispatcher/dsinit.c \
+	../../dispatcher/dsmethod.c \
+	../../dispatcher/dsmthdat.c \
+	../../dispatcher/dsobject.c \
+	../../dispatcher/dsopcode.c \
+	../../dispatcher/dsutils.c \
+	../../dispatcher/dswexec.c \
+	../../dispatcher/dswload.c \
+	../../dispatcher/dswscope.c \
+	../../dispatcher/dswstate.c \
+	../../executer/exconfig.c \
+	../../executer/exconvrt.c \
+	../../executer/excreate.c \
+	../../executer/exdump.c \
+	../../executer/exfield.c \
+	../../executer/exfldio.c \
+	../../executer/exmisc.c \
+	../../executer/exmutex.c \
+	../../executer/exnames.c \
+	../../executer/exoparg1.c \
+	../../executer/exoparg2.c \
+	../../executer/exoparg3.c \
+	../../executer/exoparg6.c \
+	../../executer/exprep.c \
+	../../executer/exregion.c \
+	../../executer/exresnte.c \
+	../../executer/exresolv.c \
+	../../executer/exresop.c \
+	../../executer/exstore.c \
+	../../executer/exstoren.c \
+	../../executer/exstorob.c \
+	../../executer/exsystem.c \
+	../../executer/exutils.c \
+	../../parser/psargs.c \
+	../../parser/psloop.c \
+	../../parser/psopcode.c \
+	../../parser/psparse.c \
+	../../parser/psscope.c \
+	../../parser/pstree.c \
+	../../parser/psutils.c \
+	../../parser/pswalk.c \
+	../../parser/psxface.c \
 	../../namespace/nsaccess.c \
 	../../namespace/nsalloc.c \
 	../../namespace/nsdump.c \
@@ -86,6 +87,7 @@
 	../../namespace/nsnames.c \
 	../../namespace/nsobject.c \
 	../../namespace/nsparse.c \
+	../../namespace/nspredef.c \
 	../../namespace/nssearch.c \
 	../../namespace/nsutils.c \
 	../../namespace/nswalk.c \
@@ -133,7 +135,7 @@
 
 
 acpiexec : $(patsubst %.c,%.o, $(SRCS))
-	$(CC) $(LDFLAGS) $(patsubst %.c,%.o, $(SRCS)) -o $(PROG)
+	$(CC) $(LDFLAGS) $(patsubst %.c,%.o, $(SRCS)) -lrt -lpthread -o $(PROG)
 
 CLEANFILES= $(PROG)
