## acpica-unix 20090521

=== compiler/Makefile ===
--- 
+++ 
@@ -14,6 +14,7 @@
 	../utilities/utdelete.c \
 	../utilities/utglobal.c \
 	../utilities/utinit.c \
+	../utilities/utlock.c \
 	../utilities/utobject.c \
 	../utilities/utmisc.c \
 	../utilities/utmath.c \
@@ -105,7 +106,7 @@
 #CFLAGS+= -D_USE_BERKELEY_YACC
 #.endif
 
-LDFLAGS=-lpthread -lrt
+LDLIBS = -lpthread -lrt
 
 aslmain : $(patsubst %.c,%.o, $(SRCS))
 	$(CC) $(LDFLAGS) $(patsubst %.c,%.o, $(SRCS)) \
