=== tools/acpiexec/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 PROG=	acpiexec
-SRCS=	aeexec.c aemain.c \
+SRCS=	aetables.c aehandlers.c aeexec.c aemain.c \
 	../../common/getopt.c \
 	../../debugger/dbcmds.c \
 	../../debugger/dbdisply.c \
@@ -33,6 +33,7 @@
 	../../hardware/hwgpe.c \
 	../../hardware/hwregs.c \
 	../../hardware/hwsleep.c \
+	../../hardware/hwvalid.c \
 	../../hardware/hwxface.c \
 	../../dispatcher/dsfield.c \
 	../../dispatcher/dsinit.c \
@@ -120,6 +121,7 @@
 	../../utilities/uteval.c \
 	../../utilities/utglobal.c \
 	../../utilities/utinit.c \
+	../../utilities/utlock.c \
 	../../utilities/utmath.c \
 	../../utilities/utmisc.c \
 	../../utilities/utmutex.c \
