## acpica-unix 20100528

=== compiler/Makefile ===
--- 
+++ 
@@ -1,11 +1,43 @@
  
-
 PROG=	iasl
-SRCS=	aslcompilerparse.c aslcompilerlex.c aslanalyze.c aslcodegen.c \
-	aslcompile.c aslerror.c aslfiles.c asllength.c \
-	asllisting.c aslload.c asllookup.c aslmain.c aslmap.c aslopcodes.c \
-	asloperands.c aslresource.c aslrestype1.c aslrestype2.c aslstartup.c \
-	asltree.c aslutils.c asltransform.c aslfold.c aslstubs.c aslopt.c \
+SRCS=	\
+	aslcompilerparse.c \
+	aslcompilerlex.c \
+	aslanalyze.c \
+	aslcodegen.c \
+	aslcompile.c \
+	aslerror.c \
+	aslfiles.c \
+	aslfold.c \
+	asllength.c \
+	asllisting.c \
+	aslload.c \
+	asllookup.c \
+	aslmain.c \
+	aslmap.c \
+	aslopcodes.c \
+	asloperands.c \
+	aslopt.c \
+	aslpredef.c \
+	aslresource.c \
+	aslrestype1.c \
+	aslrestype1i.c \
+	aslrestype2.c \
+	aslrestype2d.c \
+	aslrestype2e.c \
+	aslrestype2q.c \
+	aslrestype2w.c \
+	aslstartup.c \
+	aslstubs.c \
+	asltransform.c \
+	asltree.c \
+	aslutils.c \
+	dtcompile.c \
+	dtfield.c \
+	dtio.c \
+	dtsubtable.c \
+	dttable.c \
+	dtutils.c \
 	../common/getopt.c \
 	../utilities/utalloc.c \
 	../utilities/utcache.c \
@@ -71,6 +103,7 @@
 	../common/adfile.c \
 	../common/adisasm.c \
 	../common/adwalk.c \
+	../common/dmextern.c \
 	../common/dmrestag.c \
 	../common/dmtable.c \
 	../common/dmtbinfo.c \
@@ -92,7 +125,7 @@
 	../osunixxf.c
 
 NOMAN=	YES
-CFLAGS+= -Wall -O2 -Wstrict-prototypes -D_LINUX -DACPI_ASL_COMPILER -I../include 
+CFLAGS+= -Wall -O2 -Wstrict-prototypes -D_LINUX -DACPI_ASL_COMPILER -I../include -I../compiler
 
 #YACC=	yacc
 YACC=	bison
