=== tools/acpiexec/Makefile ===
--- 
+++ 
@@ -20,8 +20,10 @@
 	../../disassembler/dmutils.c \
 	../../disassembler/dmwalk.c \
 	../../events/evevent.c \
+	../../events/evgpe.c \
 	../../events/evgpeblk.c \
-	../../events/evgpe.c \
+	../../events/evgpeinit.c \
+	../../events/evgpeutil.c \
 	../../events/evmisc.c \
 	../../events/evregion.c \
 	../../events/evrgnini.c \
@@ -49,6 +51,7 @@
 	../../executer/exconfig.c \
 	../../executer/exconvrt.c \
 	../../executer/excreate.c \
+	../../executer/exdebug.c \
 	../../executer/exdump.c \
 	../../executer/exfield.c \
 	../../executer/exfldio.c \
@@ -89,6 +92,8 @@
 	../../namespace/nsobject.c \
 	../../namespace/nsparse.c \
 	../../namespace/nspredef.c \
+	../../namespace/nsrepair.c \
+	../../namespace/nsrepair2.c \
 	../../namespace/nssearch.c \
 	../../namespace/nsutils.c \
 	../../namespace/nswalk.c \
@@ -120,6 +125,7 @@
 	../../utilities/utdelete.c \
 	../../utilities/uteval.c \
 	../../utilities/utglobal.c \
+	../../utilities/utids.c \
 	../../utilities/utinit.c \
 	../../utilities/utlock.c \
 	../../utilities/utmath.c \
