=== debian/changelog ===
acpica-unix (20100528-3ubuntu2) raring; urgency=low

  * Don't try to run the test case when DEB_BUILD_OPTIONS=nocheck is set,
    since otherwise the build still fails on a qemu-less cross-build.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 18 Dec 2012 18:52:21 -0800

acpica-unix (20100528-3ubuntu1) raring; urgency=low

  * Add cross-compilation support.
  * Use dpkg-buildflags for hardening support.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 18 Dec 2012 06:37:10 +0000

acpica-unix (20100528-3build1) quantal; urgency=low

  * Rebuild for new armel compiler default of ARMv5t.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 01 Oct 2012 16:42:22 +0100

acpica-unix (20100528-3) unstable; urgency=low

  * Add ARM to the list of architectures not supporting unaligned access.
  * Fix FTBFS on hurd-i386.
  * Bump Standards-Version.

 -- Mattia Dongili <malattia@debian.org>  Fri, 02 Jul 2010 21:43:45 +0900

acpica-unix (20100528-2) unstable; urgency=low

  * Fix more unaligned access errors and a few bugs introduced with
    the previous BE porting patch. Now the whole tests/misc/grammar.asl
    compiles to the same result on BE and LE architectures.

 -- Mattia Dongili <malattia@debian.org>  Sun, 27 Jun 2010 16:25:17 +0900

acpica-unix (20100528-1) unstable; urgency=low

  * New upstream release.
  * Switch to dpkg-source 3.0 (quilt) format.
  * Install a link instead of the full changes.txt file (Closes: #447397).
  * Fix support for compiling on BE architectures (Closes: #554586).
  * Fix segmentation fault on BE architectures (Closes: #539427).
  * Fix segmentation fault on Memory24 (again Closes: #506332).

 -- Mattia Dongili <malattia@debian.org>  Sat, 19 Jun 2010 22:40:18 +0900

acpica-unix (20090521-1) unstable; urgency=low

  * New upstream release (Closes: #500117).
  * Remove debian/patches/fix-bison-ftbfs, fixed upstream.
  * Refresh all patches against the current source.
  * Fix typo (sytem → system) in the package description, thanks to
    Wolfram Sang <wolfram@the-dreams.de> (Closes: #447386)
  * Fix segfaults caused by big_endian.patch, initial fix by "Ying-Chun Liu
    (PaulLiu)" <grandpaul@gmail.com> (Closes: #506332).
  * Incorporate changes from debian/patches/iasl_segfault.patch to
    debian/rules (Closes: #485369).
  * Update the DSDT used as as test case and restore the useful debian/rules
    target.
  * Bump debhelper compatibility and Standards version.
  * Move and update the homepage values in d/control and d/copyright.

 -- Mattia Dongili <malattia@debian.org>  Sun, 14 Jun 2009 22:21:49 +0900

acpica-unix (20061109-0.2) unstable; urgency=low

  * Non-maintainer upload with permission of the maintainer.
  * Apply patch to fix bison error (Thanks Matt Kraai) (Closes: 516057)
  * Change incorrect GPL pointer from GPL to GPL-2

 -- Mike O'Connor <stew@debian.org>  Wed, 18 Mar 2009 22:46:45 -0400

acpica-unix (20061109-0.1) unstable; urgency=low

  * Non-maintainer upload with permission of the maintainer.
  * New upstream version. (Closes: #407708)
  * Update the test file with the new compiler version.
  * Add support for big endian machines. (Closes: #406558)
  * Add support for architectures that do not support unaligned access.
    (Closes: #406034)

 -- Aurelien Jarno <aurel32@debian.org>  Tue, 15 May 2007 03:56:24 +0200

acpica-unix (20060912-3.2) unstable; urgency=high

  * Non-maintainer upload with permission of the maintainer.
  * Re-Upload to unstable without further code changes.
    These changes make sure that the build succeds only on architectures
    where the binaries actually work for - FTBFS resulting from that are
    no regressions, but prevent us shiping broken packages.

 -- Andreas Barth <aba@not.so.argh.org>  Wed, 20 Dec 2006 07:53:24 +0000

acpica-unix (20060912-3.1) experimental; urgency=high

  * Non-maintainer upload.
  * Add testcase to check whether it the build works at the end. This prevents
    segfaults and other issues in the delivered binaries. Closes: #401153

 -- Andreas Barth <aba@not.so.argh.org>  Thu, 14 Dec 2006 16:04:44 +0000

acpica-unix (20060912-3) unstable; urgency=high

  * Fix FTBFS on Debian/KFreeBsd. (Closes: #401617)
  * high urgency due to the RC bug being closed in -2.
 
 -- Mattia Dongili <malattia@debian.org>  Mon, 04 Dec 2006 23:40:28 +0100

acpica-unix (20060912-2) unstable; urgency=high

  * Fix segfault compiling qemu's DSDT on powerpc (Closes: #401153)
  * high urgency due to the RC bug being closed.
 
 -- Mattia Dongili <malattia@debian.org>  Mon, 04 Dec 2006 19:25:28 +0100

acpica-unix (20060912-1) unstable; urgency=low

  * New upstream release.
  * build-arch set to any as requested. (Closes: #389512)
 
 -- Mattia Dongili <malattia@debian.org>  Mon, 02 Oct 2006 19:00:06 +0200

acpica-unix (20060707-1) unstable; urgency=low

  * New upstream release.
 
 -- Mattia Dongili <malattia@debian.org>  Tue, 22 Aug 2006 19:29:39 +0200
 

acpica-unix (20060608-1) unstable; urgency=low

  * New upstream release.
 
 -- Mattia Dongili <malattia@debian.org>  Tue, 27 Jun 2006 21:23:46 +0200
 

acpica-unix (20060421-1) unstable; urgency=low

  * New upstream release.
  * Upstream included the GNU/kFreeBSD patch
  * Added kfreebsd-amd64 architecture (Closes: #361610)
 
 -- Mattia Dongili <malattia@debian.org>  Sat, 29 Apr 2006 09:16:49 +0200
 

acpica-unix (20060317-1) unstable; urgency=low

  * New upstream release.
 
 -- Mattia Dongili <malattia@debian.org>  Tue, 28 Mar 2006 19:08:16 +0200
 

acpica-unix (20060217-1) unstable; urgency=low

  * New upstream release.
 
 -- Mattia Dongili <malattia@debian.org>  Mon, 06 Mar 2006 19:53:22 +0100
 

acpica-unix (20060113-1) unstable; urgency=low

  * New upstream release.
 
 -- Mattia Dongili <malattia@debian.org>  Sun, 22 Jan 2006 10:54:55 +0100
 

acpica-unix (20051216-1) unstable; urgency=low

  * New upstream release.
 
 -- Mattia Dongili <malattia@debian.org>  Sun, 08 Jan 2006 16:25:12 +0100
 

acpica-unix (20051117-1) unstable; urgency=low


