=== debian/control ===
Source: acpica-unix
Section: devel
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Mattia Dongili <malattia@debian.org>
Build-Depends: debhelper (>= 5.0.0), flex, bison
Standards-Version: 3.9.0
Vcs-Git: git://git.kamineko.org/acpica-unix.git
Vcs-Browser: http://git.kamineko.org/cgi-bin/gitweb.cgi?p=acpica-unix.git
Homepage: http://www.acpica.org

Package: iasl
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Intel ASL compiler/decompiler
 iASL compiles ASL (ACPI Source Language) into AML (ACPI Machine
 Language). This AML is suitable for inclusion as a DSDT in system
 firmware. It also can disassemble AML, for debugging purposes.
