=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

CFLAGS = $(shell dpkg-buildflags --get CFLAGS) -Wall -fno-strict-aliasing

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

ifneq ($(DEB_HOST_GNU_TYPE),$(DEB_BUILD_GNU_TYPE))
	CC = $(DEB_HOST_GNU_TYPE)-gcc
else
	CC = gcc
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure
	dh_testdir

	# Commands to compile the package.
	cd compiler && \
	$(MAKE) CFLAGS="$(CFLAGS)" CC=$(CC) && \
	cd ..

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	rm -f debian/acpi-dsdt.test*

	# Commands to clean up after the build process.
	cd compiler && \
	$(MAKE) clean && \
	cd ..

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Commands to install the package into debian/iasl.
	install -d $(CURDIR)/debian/iasl/usr/bin
	install -m 755 compiler/iasl $(CURDIR)/debian/iasl/usr/bin
	install -d $(CURDIR)/debian/iasl/usr/share/man/man1
	gzip -9 < $(CURDIR)/debian/iasl.1 > $(CURDIR)/debian/iasl/usr/share/man/man1/iasl.1.gz

ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	# testcase
	$(CURDIR)/debian/iasl/usr/bin/iasl -tc -p debian/acpi-dsdt.test.hex debian/acpi-dsdt.dsl
	tail -n +14 debian/acpi-dsdt.test.hex > debian/acpi-dsdt.test.hex-1
	diff -u debian/acpi-dsdt.hex debian/acpi-dsdt.test.hex-1
endif

update-test-case: build
	mv debian/acpi-dsdt.hex debian/acpi-dsdt.hex.$(shell date +%s)
	compiler/iasl -tc -p debian/acpi-dsdt.hex debian/acpi-dsdt.dsl
	tail -n +14 debian/acpi-dsdt.hex > debian/acpi-dsdt.hex-1
	mv debian/acpi-dsdt.hex-1 debian/acpi-dsdt.hex
	rm debian/acpi-dsdt.aml

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs -k changes.txt
	dh_installdocs
	dh_installman
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
